add missing file footers

[skip ci]
This commit is contained in:
Steffen Jaeckel 2017-11-09 15:31:51 +01:00
parent f5e5c6eed7
commit b159ca0d12
11 changed files with 44 additions and 0 deletions

View File

@ -95,3 +95,7 @@ bash .ci/testbuild.sh "NOTEST" "-DLTC_NO_TEST" "$3" "$4" "$5"
make clean &>/dev/null make clean &>/dev/null
bash .ci/testbuild.sh "NOFILE" "-DLTC_NO_FILE" "$3" "$4" "$5" bash .ci/testbuild.sh "NOFILE" "-DLTC_NO_FILE" "$3" "$4" "$5"
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -18,3 +18,7 @@ then
fi fi
echo "${CC}="`${CC} -dumpversion` echo "${CC}="`${CC} -dumpversion`
echo echo
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -20,3 +20,7 @@ if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
exit 0 exit 0
fi fi
exit 1 exit 1
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -31,3 +31,7 @@ alive_pid=$!
valgrind --error-exitcode=666 --leak-check=full --show-leak-kinds=all --errors-for-leak-kinds=all ./test >test_std.txt 2> >(tee -a test_err.txt >&2) || { kill $alive_pid; echo "Valgrind failed"; exit 1; } valgrind --error-exitcode=666 --leak-check=full --show-leak-kinds=all --errors-for-leak-kinds=all ./test >test_std.txt 2> >(tee -a test_err.txt >&2) || { kill $alive_pid; echo "Valgrind failed"; exit 1; }
kill $alive_pid kill $alive_pid
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -38,3 +38,7 @@ curl -k --form project=libtomcrypt \
--form version=\"${myversion}\" \ --form version=\"${myversion}\" \
--form description="\"libtomcrypt version ${myversion}\"" \ --form description="\"libtomcrypt version ${myversion}\"" \
https://scan.coverity.com/builds?project=libtom%2Flibtomcrypt https://scan.coverity.com/builds?project=libtom%2Flibtomcrypt
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -382,3 +382,7 @@ $failure ||= process_makefiles(1) if $update_makefiles;
die_usage unless defined $failure; die_usage unless defined $failure;
exit $failure ? 1 : 0; exit $failure ? 1 : 0;
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -292,3 +292,7 @@ install_bins: hashsum
install_docs: doc/crypt.pdf install_docs: doc/crypt.pdf
cmd /c if not exist "$(PREFIX)\doc" mkdir "$(PREFIX)\doc" cmd /c if not exist "$(PREFIX)\doc" mkdir "$(PREFIX)\doc"
copy /Y doc\crypt.pdf "$(PREFIX)\doc" copy /Y doc\crypt.pdf "$(PREFIX)\doc"
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -277,3 +277,7 @@ install_bins: hashsum
install_docs: doc/crypt.pdf install_docs: doc/crypt.pdf
cmd /c if not exist "$(PREFIX)\doc" mkdir "$(PREFIX)\doc" cmd /c if not exist "$(PREFIX)\doc" mkdir "$(PREFIX)\doc"
copy /Y doc\crypt.pdf "$(PREFIX)\doc" copy /Y doc\crypt.pdf "$(PREFIX)\doc"
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -298,3 +298,7 @@ install_bins: hashsum
install_docs: doc/crypt.pdf install_docs: doc/crypt.pdf
@mkdir -p $(DESTDIR)$(DATAPATH) @mkdir -p $(DESTDIR)$(DATAPATH)
@cp doc/crypt.pdf $(DESTDIR)$(DATAPATH)/ @cp doc/crypt.pdf $(DESTDIR)$(DATAPATH)/
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -475,3 +475,7 @@ codecheck: $(call print-help,codecheck,Check the code of the library)
perlcritic *.pl perlcritic *.pl
help: $(call print-help,help,That's what you're currently looking at) help: $(call print-help,help,That's what you're currently looking at)
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$

View File

@ -10,3 +10,7 @@ if [ $# -eq 1 ] && [ "$1" == "-c" ]; then
fi fi
exit 0 exit 0
# ref: $Format:%D$
# git commit: $Format:%H$
# commit time: $Format:%ai$